Loading...
Searching...
No Matches
DRTReferencedPatientPhotoSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedPatientPhotoSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getSeriesInstanceUID (OFString &value, const signed long pos=0) const
| get SeriesInstanceUID (0020,000e)
OFCondition | getStudyInstanceUID (OFString &value, const signed long pos=0) const
| get StudyInstanceUID (0020,000d)
OFCondition | getTypeOfInstances (OFString &value, const signed long pos=0) const
| get TypeOfInstances (0040,e020)
DRTDICOMMediaRetrievalSequence & | getDICOMMediaRetrievalSequence ()
| get DICOMMediaRetrievalSequence (0040,e022)
const DRTDICOMMediaRetrievalSequence & | getDICOMMediaRetrievalSequence () const
| get DICOMMediaRetrievalSequence (0040,e022)
DRTDICOMRetrievalSequence & | getDICOMRetrievalSequence ()
| get DICOMRetrievalSequence (0040,e021)
const DRTDICOMRetrievalSequence & | getDICOMRetrievalSequence () const
| get DICOMRetrievalSequence (0040,e021)
DRTReferencedSOPSequence & | getReferencedSOPSequence ()
| get ReferencedSOPSequence (0008,1199)
const DRTReferencedSOPSequence & | getReferencedSOPSequence () const
| get ReferencedSOPSequence (0008,1199)
DRTWADORSRetrievalSequence & | getWADORSRetrievalSequence ()
| get WADORSRetrievalSequence (0040,e025)
const DRTWADORSRetrievalSequence & | getWADORSRetrievalSequence () const
| get WADORSRetrievalSequence (0040,e025)
DRTWADORetrievalSequence & | getWADORetrievalSequence ()
| get WADORetrievalSequence (0040,e023)
const DRTWADORetrievalSequence & | getWADORetrievalSequence () const
| get WADORetrievalSequence (0040,e023)
DRTXDSRetrievalSequence & | getXDSRetrievalSequence ()
| get XDSRetrievalSequence (0040,e024)
const DRTXDSRetrievalSequence & | getXDSRetrievalSequence () const
| get XDSRetrievalSequence (0040,e024)
OFCondition | setSeriesInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set SeriesInstanceUID (0020,000e)
OFCondition | setStudyInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set StudyInstanceUID (0020,000d)
OFCondition | setTypeOfInstances (const OFString &value, const OFBool check=OFTrue)
| set TypeOfInstances (0040,e020)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTDICOMMediaRetrievalSequence | DICOMMediaRetrievalSequence
| DICOMMediaRetrievalSequence (0040,e022) vr=SQ, vm=1, type=1C.
DRTDICOMRetrievalSequence | DICOMRetrievalSequence
| DICOMRetrievalSequence (0040,e021) vr=SQ, vm=1, type=1C.
DRTReferencedSOPSequence | ReferencedSOPSequence
| ReferencedSOPSequence (0008,1199) vr=SQ, vm=1, type=1.
DcmUniqueIdentifier | SeriesInstanceUID
| SeriesInstanceUID (0020,000e) vr=UI, vm=1, type=1C.
DcmUniqueIdentifier | StudyInstanceUID
| StudyInstanceUID (0020,000d) vr=UI, vm=1, type=1C.
DcmCodeString | TypeOfInstances
| TypeOfInstances (0040,e020) vr=CS, vm=1, type=1.
DRTWADORSRetrievalSequence | WADORSRetrievalSequence
| WADORSRetrievalSequence (0040,e025) vr=SQ, vm=1, type=1C.
DRTWADORetrievalSequence | WADORetrievalSequence
| WADORetrievalSequence (0040,e023) vr=SQ, vm=1, type=1C.
DRTXDSRetrievalSequence | XDSRetrievalSequence
| XDSRetrievalSequence (0040,e024) vr=SQ, vm=1, type=1C.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTReferencedPatientPhotoSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTReferencedPatientPhotoSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getDICOMMediaRetrievalSequence() [1/2]

DRTDICOMMediaRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getDICOMMediaRetrievalSequence | ( |  | ) |

inline

get DICOMMediaRetrievalSequence (0040,e022)

Returns
  reference to sequence element

References DICOMMediaRetrievalSequence.

## getDICOMMediaRetrievalSequence() [2/2]

const DRTDICOMMediaRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getDICOMMediaRetrievalSequence | ( |  | ) | const

inline

get DICOMMediaRetrievalSequence (0040,e022)

Returns
  const reference to sequence element

References DICOMMediaRetrievalSequence.

## getDICOMRetrievalSequence() [1/2]

DRTDICOMRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getDICOMRetrievalSequence | ( |  | ) |

inline

get DICOMRetrievalSequence (0040,e021)

Returns
  reference to sequence element

References DICOMRetrievalSequence.

## getDICOMRetrievalSequence() [2/2]

const DRTDICOMRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getDICOMRetrievalSequence | ( |  | ) | const

inline

get DICOMRetrievalSequence (0040,e021)

Returns
  const reference to sequence element

References DICOMRetrievalSequence.

## getReferencedSOPSequence() [1/2]

DRTReferencedSOPSequence & DRTReferencedPatientPhotoSequence::Item::getReferencedSOPSequence | ( |  | ) |

inline

get ReferencedSOPSequence (0008,1199)

Returns
  reference to sequence element

References ReferencedSOPSequence.

## getReferencedSOPSequence() [2/2]

const DRTReferencedSOPSequence & DRTReferencedPatientPhotoSequence::Item::getReferencedSOPSequence | ( |  | ) | const

inline

get ReferencedSOPSequence (0008,1199)

Returns
  const reference to sequence element

References ReferencedSOPSequence.

## getSeriesInstanceUID()

OFCondition DRTReferencedPatientPhotoSequence::Item::getSeriesInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SeriesInstanceUID (0020,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudyInstanceUID()

OFCondition DRTReferencedPatientPhotoSequence::Item::getStudyInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get StudyInstanceUID (0020,000d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTypeOfInstances()

OFCondition DRTReferencedPatientPhotoSequence::Item::getTypeOfInstances | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TypeOfInstances (0040,e020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getWADORetrievalSequence() [1/2]

DRTWADORetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getWADORetrievalSequence | ( |  | ) |

inline

get WADORetrievalSequence (0040,e023)

Returns
  reference to sequence element

References WADORetrievalSequence.

## getWADORetrievalSequence() [2/2]

const DRTWADORetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getWADORetrievalSequence | ( |  | ) | const

inline

get WADORetrievalSequence (0040,e023)

Returns
  const reference to sequence element

References WADORetrievalSequence.

## getWADORSRetrievalSequence() [1/2]

DRTWADORSRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getWADORSRetrievalSequence | ( |  | ) |

inline

get WADORSRetrievalSequence (0040,e025)

Returns
  reference to sequence element

References WADORSRetrievalSequence.

## getWADORSRetrievalSequence() [2/2]

const DRTWADORSRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getWADORSRetrievalSequence | ( |  | ) | const

inline

get WADORSRetrievalSequence (0040,e025)

Returns
  const reference to sequence element

References WADORSRetrievalSequence.

## getXDSRetrievalSequence() [1/2]

DRTXDSRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getXDSRetrievalSequence | ( |  | ) |

inline

get XDSRetrievalSequence (0040,e024)

Returns
  reference to sequence element

References XDSRetrievalSequence.

## getXDSRetrievalSequence() [2/2]

const DRTXDSRetrievalSequence & DRTReferencedPatientPhotoSequence::Item::getXDSRetrievalSequence | ( |  | ) | const

inline

get XDSRetrievalSequence (0040,e024)

Returns
  const reference to sequence element

References XDSRetrievalSequence.

## isEmpty()

OFBool DRTReferencedPatientPhotoSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTReferencedPatientPhotoSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTReferencedPatientPhotoSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTReferencedPatientPhotoSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesInstanceUID()

OFCondition DRTReferencedPatientPhotoSequence::Item::setSeriesInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SeriesInstanceUID (0020,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyInstanceUID()

OFCondition DRTReferencedPatientPhotoSequence::Item::setStudyInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set StudyInstanceUID (0020,000d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTypeOfInstances()

OFCondition DRTReferencedPatientPhotoSequence::Item::setTypeOfInstances | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TypeOfInstances (0040,e020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTReferencedPatientPhotoSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrpphs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0